commit 58873a565898550893165427ccbef343f1390b9c
Author: Patrick Palka <ppalka@redhat.com>
Date:   Mon Aug 2 21:30:10 2021

    libstdc++: Add missing std::move to join_view::iterator ctor [PR101483]
    
            PR libstdc++/101483
    
    libstdc++-v3/ChangeLog:
    
            * include/std/ranges (join_view::_Iterator::_Iterator): Add
            missing std::move.
    
    (cherry picked from commit 0e1bb3c88c7bd624bc34d6cebe3df9532f1858f0)

diff --git a/libstdc++-v3/include/std/ranges b/libstdc++-v3/include/std/ranges
index c507862660b..b7886346bde 100644
--- a/libstdc++-v3/include/std/ranges
+++ b/libstdc++-v3/include/std/ranges
@@ -2519,7 +2519,7 @@ namespace views::__adaptor
 	    requires _Const
 	      && convertible_to<iterator_t<_Vp>, _Outer_iter>
 	      && convertible_to<iterator_t<_InnerRange>, _Inner_iter>
-	    : _M_outer(std::move(__i._M_outer)), _M_inner(__i._M_inner),
+	    : _M_outer(std::move(__i._M_outer)), _M_inner(std::move(__i._M_inner)),
 	      _M_parent(__i._M_parent)
 	  { }
 

